Summary:	GeoIP database files for xt_geoip
Summary(pl.UTF-8):	Pliki baz danych GeoIP dla xt_geoip
Name:		xtables-geoip
Version:	20170103
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
# Source0-md5:	57a2aed84d2cd0b3ae9c4520769c902b
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.csv.gz
# Source1-md5:	cb6c0faded7ce18398a9dba603854469
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source2-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source3:	http://sourceforge.net/p/xtables-addons/xtables-addons/ci/master/tree/geoip/xt_geoip_build?format=raw&/xt_geoip_build
# Source3-md5:	4dcd62c8b2c8b90cc88e961613118be3
URL:		http://www.maxmind.com/
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%ifarch ppc ppc64 s390 s390x sparc sparc64 sparcv9
%define		byteorder	BE
%else
%define		byteorder	LE
%endif

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%description -l pl.UTF-8
Ten pakiet zawiera pliki definicji GeoIP (określające, które adresy IP
należą do jakiego kraju), wymagane przez moduł xt_geoip z pakietu
xtables-addons.

%prep
%setup -qc
gunzip -c %{SOURCE1} > GeoIPv6.csv
touch -r %{SOURCE1} GeoIPv6.csv

ver4=$(TZ=GMT stat -c '%y' GeoIPCountryWhois.csv | awk '{print $1}' | tr -d -)
ver6=$(TZ=GMT stat -c '%y' GeoIPv6.csv | awk '{print $1}' | tr -d -)
if [ "$ver4" -gt "$ver6" ]; then
	ver=$ver4
else
	ver=$ver6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE2} .

%build
%{__perl} %{SOURCE3} GeoIPCountryWhois.csv GeoIPv6.csv | tee ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a %{byteorder} $RPM_BUILD_ROOT%{dbdir}

%if "%{pld_release}" == "ac"
# handle older xtables in ac:
# kernel-net-xtables-addons-1.18-15@2.6.27.53_1.amd64
# still having old .iv0 names requirement
# http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=commitdiff;h=25bf680ead80e505d5073308f151b4007cb5683f
# create hardlink, to be most compatible
for a in $RPM_BUILD_ROOT%{dbdir}/%{byteorder}/*.iv4; do
	ln $a ${a%.iv4}.iv0
done
# kernel-net-xtables-addons-1.18-8@2.6.27.45_1.i686  searches from /var/lib:
# Could not open /var/lib/geoip/LE/EE.iv0: No such file or directory
install -d $RPM_BUILD_ROOT/var/lib
ln -s %{_datadir}/xt_geoip $RPM_BUILD_ROOT/var/lib/geoip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if "%{pld_release}" == "ac"
%pretrans
# this needs to be a symlink
if [ -d /var/lib/geoip -a ! -L /var/lib/geoip ]; then
	mv -f /var/lib/geoip{,.rpmsave}
	install -d %{dbdir}
	ln -s %{dbdir} /var/lib/geoip
fi
%endif

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%dir %{dbdir}
%{dbdir}/%{byteorder}

%if "%{pld_release}" == "ac"
/var/lib/geoip
%endif
%changelog
* Thu Jan 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-geoip.git;a=log;h=master

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> 56bac81
- updated to 20170103

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> aaddbcd
- updated to 20161207

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 074704b
- updated to 20161206

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> b4aac4e
- updated to 20161031

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> b7dc721
- updated to 20161004

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> f3319f5
- updated to 20160930

* Wed Sep 07 2016 Elan Ruusamäe <glen@delfi.ee> 731bcfc
- updated to 20160907

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> c34e47f
- updated to 20160906

* Tue Aug 02 2016 Elan Ruusamäe <glen@delfi.ee> 66c6e7e
- updated to 20160802

* Wed Jul 06 2016 Elan Ruusamäe <glen@delfi.ee> 63fee4f
- updated to 20160706

* Tue Jun 07 2016 Adam Osuchowski <adwol@pld-linux.org> c1500f1
- up to 20160607

* Thu May 12 2016 Jan Rękorajski <baggins@pld-linux.org> aa62f20
- release 2 (by relup.sh)

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> ce94437
- updated to 20160503

* Mon Apr 18 2016 Elan Ruusamäe <glen@delfi.ee> e7111d2
- updated to 20160405

* Thu Mar 03 2016 Elan Ruusamäe <glen@delfi.ee> 5e4f209
- updated to 20160303

* Tue Feb 02 2016 Elan Ruusamäe <glen@delfi.ee> 8668e01
- updated to 20160202

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 8b33a88
- updated to 20160105

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f7f47b9
- release 2 (by relup.sh)

* Mon Dec 21 2015 Elan Ruusamäe <glen@delfi.ee> 8879d8c
- md5 fix

* Wed Dec 02 2015 Elan Ruusamäe <glen@delfi.ee> 010f61d
- updated to 20151201

